Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620924 (CVE-2017-9375) - <app-emulation/qemu-2.9.0: usb: xhci infinite recursive call via xhci_kick_ep
Summary: <app-emulation/qemu-2.9.0: usb: xhci infinite recursive call via xhci_kick_ep
Status: RESOLVED FIXED
Alias: CVE-2017-9375
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-05 15:02 UTC by Agostino Sarubbo
Modified: 2017-08-08 00:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-06-05 15:02:55 UTC
From ${URL} :

Quick emulator(Qemu) built with the USB xHCI controller emulator support is
vulnerable to an infinite recursive call loop issue. It could occur while
processing control transfer descriptors' sequence in xhci_kick_epctx.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=96d87bdda3919bb16f754b3d3fd1227e1f38f13c

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/05/2


@security: please check if this issue needs a GLSA.
Comment 1 Matthias Maier gentoo-dev 2017-07-26 18:56:43 UTC
This commit is already in upstream version 2.9.0.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2017-08-08 00:03:38 UTC
GLSA Vote: No